/**
 * Encodes a Uniform Resource Identifier (URI) component by replacing each instance of certain characters by one, two, three, or four escape sequences representing the UTF-8 encoding of the character (will only be four escape sequences for characters composed of two "surrogate" characters).
 * @syntax var encoded = encodeURIComponent(str);
 * @param {String} str A component of a URI.
 * @returns {String} 
 */
function encodeURIComponent(str) {};
